---
agentTools:
  projectIndex: https://developers.paggi.com/llms.txt
---

# Cancelar assinatura

# OpenAPI definition

````json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Paggi",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.stg.paggi.com/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/partners/{partner_id}/subscriptions/{subscription_id}/void": {
      "put": {
        "summary": "Cancelar assinatura",
        "description": "",
        "operationId": "cancelar-assinatura",
        "parameters": [
          {
            "name": "partner_id",
            "in": "path",
            "description": "Seu ID de parceiro na Paggi",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "subscription_id",
            "in": "path",
            "description": "ID da assinatura",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Precisa ser ```application/json```",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "```Bearer TOKEN``` Substituir *TOKEN* pelo seu Token",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": "204",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"errors\": {\n    \"detail\": \"Not Found\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "object",
                      "properties": {
                        "detail": {
                          "type": "string",
                          "example": "Not Found"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X PUT \\\n--header \"Authorization: Bearer MEU_TOKEN\" \\\nhttps://api.paggi.com/v1/partners/${partner_id}/subscriptions/${subscription_id}/void"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "5b3bdc0004c0710003542229:5c12b20071573d000da49f5c"
}
````